List conversions
curl --request GET \
--url https://api.instantly.ai/api/v2/email-marketing/conversions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/email-marketing/conversions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/email-marketing/conversions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.instantly.ai/api/v2/email-marketing/conversions")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/email-marketing/conversions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/email-marketing/conversions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"conversion_id": "0198c2a4-3f1e-7000-8000-000000000000",
"person_id": "0198c2a4-3f1e-7000-8000-000000000001",
"source": "api",
"event_name": "subscription_started",
"occurred_at": "2026-08-20T10:00:00.000Z",
"attribution": "direct",
"emails_in_window": 3,
"lookback_days": 30,
"history_complete": true,
"last_touch": {
"origin": "journey",
"email_id": "email-8f3a",
"sent_at": "2026-08-18T09:00:00.000Z",
"journey_id": "journey-12ab",
"version": 3,
"step_id": "step-1",
"run_id": "run-77cd",
"broadcast_id": "broadcast-42ef",
"delivered_at": "2026-08-18T09:00:05.000Z",
"opened_at": "2026-08-18T10:12:00.000Z",
"clicked_at": "2026-08-18T10:13:00.000Z"
},
"group_by_property": "plan",
"group_value": "starter",
"email": "ana@example.com",
"days_since_last_touch": 2.5,
"properties": {
"plan": "starter",
"seats": 3
},
"touches": [
{
"origin": "journey",
"email_id": "email-8f3a",
"sent_at": "2026-08-18T09:00:00.000Z",
"journey_id": "journey-12ab",
"version": 3,
"step_id": "step-1",
"run_id": "run-77cd",
"broadcast_id": "broadcast-42ef",
"delivered_at": "2026-08-18T09:00:05.000Z",
"opened_at": "2026-08-18T10:12:00.000Z",
"clicked_at": "2026-08-18T10:13:00.000Z"
}
],
"touches_truncated": true
}
],
"next_starting_after": "<string>"
}{
"statusCode": 400,
"error": "Bad Request",
"message": "name: Invalid domain name format",
"code": "VALIDATION_ERROR"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Conversion
List conversions
Lists the conversions recorded in a UTC date range, newest first, each with the last email before it, whether the person clicked, opened or only received it, and the event’s properties. The person’s email is included for API keys that can also read people.
Requires one of the following scopes: email_marketing_conversions:read, email_marketing_conversions:all, all:read, all:all
GET
/
api
/
v2
/
email-marketing
/
conversions
List conversions
curl --request GET \
--url https://api.instantly.ai/api/v2/email-marketing/conversions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/email-marketing/conversions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/email-marketing/conversions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.instantly.ai/api/v2/email-marketing/conversions")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/email-marketing/conversions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/email-marketing/conversions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"conversion_id": "0198c2a4-3f1e-7000-8000-000000000000",
"person_id": "0198c2a4-3f1e-7000-8000-000000000001",
"source": "api",
"event_name": "subscription_started",
"occurred_at": "2026-08-20T10:00:00.000Z",
"attribution": "direct",
"emails_in_window": 3,
"lookback_days": 30,
"history_complete": true,
"last_touch": {
"origin": "journey",
"email_id": "email-8f3a",
"sent_at": "2026-08-18T09:00:00.000Z",
"journey_id": "journey-12ab",
"version": 3,
"step_id": "step-1",
"run_id": "run-77cd",
"broadcast_id": "broadcast-42ef",
"delivered_at": "2026-08-18T09:00:05.000Z",
"opened_at": "2026-08-18T10:12:00.000Z",
"clicked_at": "2026-08-18T10:13:00.000Z"
},
"group_by_property": "plan",
"group_value": "starter",
"email": "ana@example.com",
"days_since_last_touch": 2.5,
"properties": {
"plan": "starter",
"seats": 3
},
"touches": [
{
"origin": "journey",
"email_id": "email-8f3a",
"sent_at": "2026-08-18T09:00:00.000Z",
"journey_id": "journey-12ab",
"version": 3,
"step_id": "step-1",
"run_id": "run-77cd",
"broadcast_id": "broadcast-42ef",
"delivered_at": "2026-08-18T09:00:05.000Z",
"opened_at": "2026-08-18T10:12:00.000Z",
"clicked_at": "2026-08-18T10:13:00.000Z"
}
],
"touches_truncated": true
}
],
"next_starting_after": "<string>"
}{
"statusCode": 400,
"error": "Bad Request",
"message": "name: Invalid domain name format",
"code": "VALIDATION_ERROR"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}